%define upstream_name    Geo-Gpx
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create and parse GPX files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 1.440.0
BuildRequires: perl(DateTime::Format::ISO8601) >= 0.160.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Geo::Coordinates::Transform)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Descent)
BuildRequires: perl(version)
BuildArch:  noarch

%description
The original goal of this module was to produce GPX/XML files which were
parseable by both GPX Spinner and EasyGPS. As of version 0.13 it has been
extended to support general parsing and generation of GPX data. GPX 1.0 and
1.1 are supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Dec 08 2022 tv <tv> 1.90.0-1.mga9
+ Revision: 1919226
- update to 1.09

* Mon Dec 05 2022 tv <tv> 1.80.0-1.mga9
+ Revision: 1918110
- update to 1.08

* Fri Nov 04 2022 tv <tv> 1.70.0-1.mga9
+ Revision: 1902549
- update to 1.07

* Thu Oct 27 2022 tv <tv> 1.50.0-1.mga9
+ Revision: 1899741
- update to 1.05

* Thu Oct 20 2022 tv <tv> 1.30.0-1.mga9
+ Revision: 1897926
- update to 1.03

* Wed Oct 12 2022 tv <tv> 1.20.0-1.mga9
+ Revision: 1896447
- update to 1.02

* Sun Mar 20 2022 umeabot <umeabot> 0.260.0-11.mga9
+ Revision: 1803817
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.260.0-10.mga8
+ Revision: 1494658
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.260.0-9.mga7
+ Revision: 1268198
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.260.0-8.mga6
+ Revision: 1027745
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.260.0-7.mga6
+ Revision: 949088
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.260.0-6.mga5
+ Revision: 789037
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-5.mga5
+ Revision: 747800
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.260.0-3.mga4
+ Revision: 511842
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 367631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 01 2011 tv <tv> 0.260.0-1.mga1
+ Revision: 79566
- imported package perl-Geo-Gpx

